Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xml
Class SEPElement

    java.lang.Object
      org.openxri.xml.SEPElement

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  SEPMediaType, SEPPath, SEPType

    public abstract class SEPElement

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_SELECT_ATTR` Default value of the select attribute is FALSE if it was omitted in the parent element.
`static boolean` | `DEFAULT_SELECT_ATTR_BOOL`
`static java.lang.String` | `MATCH_ATTR_ANY`
`static java.lang.String` | `MATCH_ATTR_CONTENT` Deprecated.
`static java.lang.String` | `MATCH_ATTR_DEFAULT` Default value of the match attribute if it was omitted or its value is null.
`static java.lang.String` | `MATCH_ATTR_NON_NULL`
`static java.lang.String` | `MATCH_ATTR_NONE` Deprecated.
`static java.lang.String` | `MATCH_ATTR_NULL`
`static java.lang.String` | `SELECT_ATTR_FALSE`
`static java.lang.String` | `SELECT_ATTR_TRUE`
`protected static org.apache.commons.logging.Log` | `soLog`

Constructor Summary
`SEPElement()` Creates a default `SEPElement` object
`SEPElement(java.lang.String value, java.lang.String match, java.lang.Boolean select)` Creates a `SEPElement with required attributes` object with the given value

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getMatch()` Gets the "match" attribute of this Type/MediaType/Path rule
`boolean` | `getSelect()` Gets the "select" attribute of this Type/MediaType/Path rule
`java.lang.String` | `getValue()` Gets the value of this Type/MediaType/Path rule
`int` | `hashCode()`
`void` | `setFromXML(org.w3c.dom.Node root)`
`void` | `setMatch(java.lang.String match)` Sets the "match" attribute of this Type/MediaType/Path rule
`void` | `setSelect(boolean select)` Sets the "select" attribute of this Type/MediaType/Path rule
`void` | `setSelect(java.lang.Boolean select)` Sets the "select" attribute of this Type/MediaType/Path rule
`void` | `setSelect(java.lang.String select)` Sets the "select" attribute of this Type/MediaType/Path rule.
`void` | `setValue(java.lang.String value)` Sets the value of this Type/MediaType/Path rule
`protected java.lang.String` | `toString(java.lang.String tag)`
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc, java.lang.String tag)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### soLog

    protected static org.apache.commons.logging.Log soLog

### MATCH_ATTR_DEFAULT

    public static final java.lang.String MATCH_ATTR_DEFAULT

  Default value of the match attribute if it was omitted or its value is null. This is an alias for `MATCH_ATTR_CONTENT` as defined in xri-resolution-v2.0-wd-10-ed-08.

  See Also:
    Constant Field Values

### MATCH_ATTR_ANY

    public static final java.lang.String MATCH_ATTR_ANY

See Also:
  Constant Field Values

### MATCH_ATTR_NON_NULL

    public static final java.lang.String MATCH_ATTR_NON_NULL

See Also:
  Constant Field Values

### MATCH_ATTR_NULL

    public static final java.lang.String MATCH_ATTR_NULL

See Also:
  Constant Field Values

### MATCH_ATTR_CONTENT

    public static final java.lang.String MATCH_ATTR_CONTENT

  Deprecated.
  See Also:
    Constant Field Values

### MATCH_ATTR_NONE

    public static final java.lang.String MATCH_ATTR_NONE

  Deprecated.
  See Also:
    Constant Field Values

### SELECT_ATTR_TRUE

    public static final java.lang.String SELECT_ATTR_TRUE

See Also:
  Constant Field Values

### SELECT_ATTR_FALSE

    public static final java.lang.String SELECT_ATTR_FALSE

See Also:
  Constant Field Values

### DEFAULT_SELECT_ATTR

    public static final java.lang.String DEFAULT_SELECT_ATTR

  Default value of the select attribute is FALSE if it was omitted in the parent element.

  See Also:
    Constant Field Values

### DEFAULT_SELECT_ATTR_BOOL

    public static final boolean DEFAULT_SELECT_ATTR_BOOL

See Also:
  Constant Field Values

Constructor Detail

### SEPElement

    public SEPElement()

  Creates a default `SEPElement` object

### SEPElement

    public SEPElement(java.lang.String value,
                      java.lang.String match,
                      java.lang.Boolean select)

  Creates a `SEPElement with required attributes` object with the given value

Method Detail

### getMatch

    public java.lang.String getMatch()

  Gets the "match" attribute of this Type/MediaType/Path rule

### setMatch

    public void setMatch(java.lang.String match)

  Sets the "match" attribute of this Type/MediaType/Path rule

### getSelect

    public boolean getSelect()

  Gets the "select" attribute of this Type/MediaType/Path rule

### setSelect

    public void setSelect(boolean select)

  Sets the "select" attribute of this Type/MediaType/Path rule

### setSelect

    public void setSelect(java.lang.Boolean select)

  Sets the "select" attribute of this Type/MediaType/Path rule

### setSelect

    public void setSelect(java.lang.String select)

  Sets the "select" attribute of this Type/MediaType/Path rule. Interprets "true" (any case) or "1" as TRUE. Any other value is considered FALSE.

### getValue

    public java.lang.String getValue()

  Gets the value of this Type/MediaType/Path rule

### setValue

    public void setValue(java.lang.String value)

  Sets the value of this Type/MediaType/Path rule

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc,
                                     java.lang.String tag)

### setFromXML

    public void setFromXML(org.w3c.dom.Node root)

### toString

    protected java.lang.String toString(java.lang.String tag)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.